Role Playing Database (API Documentation) 3.1.3

Public Member Functions | Static Public Member Functions | List of all members
RolePlayingDB3::Template Class Reference

## Public Member Functions
| getfile ()
| opennew ()
| new ()
| openold (_filename)
| rescantemplates ()
| open (...)
| save ()
| saveas (_filename="")
| print ()
| outputXMLToPDF (pdfobj, heading="Sheet")
| newPDFPage (pdfobj, heading, subheading)
| close (...)
| Template (...)

## Static Public Member Functions
static | edit ()
static | new (...)
static | open (...)
static | openfile (filename)

## Detailed Description

Template editor widget.

## Constructor & Destructor Documentation

## ◆ Template()

RolePlayingDB3::Template::Template | ( |  | ... | ) |

Construct a template bundle editor widget.

Parameters

  ... | Options: -template Not used.

## Member Function Documentation

## ◆ close()

RolePlayingDB3::Template::close | ( |  | ... | ) |

Close the current bundle file.

Parameters

  ... | Options: none.

## ◆ edit()

static RolePlayingDB3::Template::edit | ( |  | ) |
| static

Edit an existing template bundle.

## ◆ getfile()

RolePlayingDB3::Template::getfile | ( |  | ) |

Get the current filename.

Returns
  the current filename.

## ◆ new() [1/2]

static RolePlayingDB3::Template::new | ( |  | ... | ) |
| static

Create a new template bundle.

Parameters

  ... | Options: -like Window to get a default filename from.

## ◆ new() [2/2]

RolePlayingDB3::Template::new | ( |  | ) |

Create a new template bundle.

## ◆ newPDFPage()

RolePlayingDB3::Template::newPDFPage | ( | pdfobj | ,
|  | heading | ,
|  | subheading |
| ) |  |

Start a new page.

Parameters

  pdfobj | The PDF object to print to.
  heading | The heading.
  subheading | The subheading.

## ◆ open() [1/2]

static RolePlayingDB3::Template::open | ( |  | ... | ) |
| static

Open an existing template bundle.

Parameters

  ... | Options: -like Editor to create a template bundle like.

## ◆ open() [2/2]

RolePlayingDB3::Template::open | ( |  | ... | ) |

Open an existing template bundle.

## ◆ openfile()

static RolePlayingDB3::Template::openfile | ( | filename |  | ) |
| static

Open an existing template bundle file.

Parameters

  filename | Name of the file to open.

## ◆ opennew()

RolePlayingDB3::Template::opennew | ( |  | ) |

Open a new template bundle.

## ◆ openold()

RolePlayingDB3::Template::openold | ( | _filename |  | ) |

Open an existing template bundle file.

Parameters

  _filename | Name of the file to open.

## ◆ outputXMLToPDF()

RolePlayingDB3::Template::outputXMLToPDF | ( | pdfobj | ,
|  | heading | = `"Sheet"`
| ) |  |

Output XML to a PDF file.

Parameters

  pdfobj | The PDF object to print to.
  heading | The heading.

## ◆ print()

RolePlayingDB3::Template::print | ( |  | ) |

Print (to a PDF file) the current template bundle.

## ◆ rescantemplates()

RolePlayingDB3::Template::rescantemplates | ( |  | ) |

Rescan the template tree.

## ◆ save()

RolePlayingDB3::Template::save | ( |  | ) |

Save the current template bundle in the current file.

## ◆ saveas()

RolePlayingDB3::Template::saveas | ( | _filename | = `""` | ) |

Save the current template bundle in specified file.

Parameters

  _filename | File name to save to.

The documentation for this class was generated from the following file:

- RPGTemplate.tcl